%define upstream_name    Data-OptList
%define upstream_version 0.110

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Parse and validate simple name/value option pairs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Sub::Install) >= 0.921.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description 
Hashes are great for storing named data, but if you want more than one entry
for a name, you have to use a list of pairs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Data
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-4.mga8
+ Revision: 1493652
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.110.0-3.mga7
+ Revision: 1266951
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.110.0-2.mga6
+ Revision: 1024820
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.110.0-1.mga6
+ Revision: 1001791
- update to 0.110

* Fri Feb 05 2016 umeabot <umeabot> 0.109.0-5.mga6
+ Revision: 937643
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.109.0-4.mga6
+ Revision: 937190
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.109.0-3.mga5
+ Revision: 742417
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.109.0-2.mga5
+ Revision: 684218
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 sander85 <sander85> 0.109.0-1.mga5
+ Revision: 588147
- update to 0.109

* Sat Oct 19 2013 umeabot <umeabot> 0.108.0-2.mga4
+ Revision: 533374
- Mageia 4 Mass Rebuild

* Wed Aug 28 2013 sander85 <sander85> 0.108.0-1.mga4
+ Revision: 472728
- update to 0.108

* Sun Jan 13 2013 umeabot <umeabot> 0.107.0-2.mga3
+ Revision: 365395
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.107.0-1.mga2
+ Revision: 106579
- update to 0.107

* Wed Jan 19 2011 jquelin <jquelin> 0.106.0-1.mga1
+ Revision: 24006
- cleaning spec file
- imported package perl-Data-OptList


* Mon Feb 15 2010 Jérôme Quelin <jquelin@mandriva.org> 0.106.0-1mdv2010.1
+ Revision: 506236
- update to 0.106

* Fri Jan 15 2010 Jérôme Quelin <jquelin@mandriva.org> 0.105.0-1mdv2010.1
+ Revision: 491627
- update to 0.105

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.104-2mdv2010.0
+ Revision: 440544
- rebuild

* Sat Jan 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.104-1mdv2009.1
+ Revision: 330405
- update to new version 0.104

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.103-3mdv2009.0
+ Revision: 256473
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Nov 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.103-1mdv2008.1
+ Revision: 106565
- update to new version 0.103
- update to new version 0.103

* Wed Aug 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.102-1mdv2008.0
+ Revision: 74593
- import perl-Data-OptList


* Wed Aug 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.102-1mdv2008.0
- first mdv release
